## org.biojava.bio.seq.db.emblcd
Class AcnumHitReader

    java.lang.Object
      org.biojava.bio.seq.db.emblcd.EmblCDROMIndexReader
          org.biojava.bio.seq.db.emblcd.AcnumHitReader

    public class AcnumHitReader

extends EmblCDROMIndexReader

`AcnumHitReader` reads the "acnum.hit" file of an EMBL CD-ROM format binary index.

Since:
  1.2
Author:
  Keith James

Field Summary

Fields inherited from class org.biojava.bio.seq.db.emblcd.EmblCDROMIndexReader
`input, recParser, sb`

Constructor Summary
`AcnumHitReader(InputStream input)` Creates a new `AcnumHitReader`.

Method Summary
`Object[]` `readRecord()` `readRecord` creates an array of Objects from the raw byte array of a single record.

Methods inherited from class org.biojava.bio.seq.db.emblcd.EmblCDROMIndexReader
`close, readDBDate, readDBName, readDBRelease, readFileLength, readRawRecord, readRecordCount, readRecordLength`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AcnumHitReader

    public AcnumHitReader(InputStream input)
                   throws IOException

  Creates a new `AcnumHitReader`.

  Parameters:
    `input` - an `InputStream`.
  Throws:
    `IOException` - if an error occurs.

Method Detail

### readRecord

    public Object[] readRecord()
                        throws IOException

  `readRecord` creates an array of Objects from the raw byte array of a single record.

  Specified by:
    `readRecord` in class `EmblCDROMIndexReader`
  Returns:
    an `Object []` array.
  Throws:
    `IOException` - if an error occurs.